package com.kym.service.enplus;

import com.alibaba.fastjson2.JSONObject;
import com.kym.entity.enplus.response.EnResponse;

/**
 * @author skyline
 * @description
 * @date 2023-07-31 14:13
 */
public interface EnPlusService {
    EnResponse enPlusPost(String url, String params);

    String queryToken();

    String buildParams(String params);


    String signValidation(JSONObject json);

    JSONObject queryEquipAuth(String connectorId, String equipAuthSeq);

    JSONObject queryEquipBusinessPolicy(String equipBizSeq, String connectorId);

    JSONObject queryStartCharge(String startChargeSeq, String connectorId, String qrCode, Integer amount);

    JSONObject queryEquipChargeStatus(String startChargeSeq);

    JSONObject updateBalanceByQueryEquipChargeStatus(String startChargeSeq, int amount);

    JSONObject queryStopCharge(String startChargeSeq, String connectorId);
}
